#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include "config.h"

#define MAX		50

extern char tmpf[];
extern char *extension[];

int opentemp( void )
{
	char tempfile[50];
	char index[5];
	int i;
	int fd;
	struct stat *buf;

	i = 0;
	while( 1 ) {
		itoa( i, index );
		sprintf( tempfile, "%s/%s%s.ks", TMPDIR, TMPFILE, index );
		if( access( tempfile, R_OK ) < 0 ) {
			fd = open( tempfile, O_WRONLY | O_TRUNC | O_CREAT, 0644 );
			sprintf( tmpf, "%s/%s%s", TMPDIR, TMPFILE, index );
			return fd;
		}
		i++;
		if( i > MAX )
			return -1;
	}
}

void ClearTempFile( void )
{
	char delfile[FILELENGTH];
	int i;

	for( i = 0; extension[i]; i++ ) {
		sprintf( delfile, "%s.%s", tmpf, extension[i] );
		remove( delfile );
	}
}
